# This file created by conda-build 0+unknown
# meta.yaml template originally from:
# C:\Users\builder\conda\aggregate\zeromq-feedstock\recipe, last modified Fri Apr 13 10:56:42 2018
# ------------------------------------------------

package:
    name: zeromq
    version: 4.2.5
source:
    git_rev: v4.2.5
    git_url: https://github.com/zeromq/libzmq.git
    patches:
        - 0001-Remove-Windows-CMake-config-install-specialization-C.patch
        - 0002-SLES11-Hackily-avoid-pthread_set_name_np-on-linux.patch
build:
    number: '0'
    run_exports:
        - zeromq >=4.2.5,<4.2.6.0a0
    string: h907ab29_0
requirements:
    build:
        - cmake 3.9.4 h4b83b1b_0
        - git 2.17.0 hb9891f8_1
        - vs2008_win-64 9.00.30729.1 hb7fc0b5_1
    host:
        - libsodium 1.0.16 h8b3e59e_0
        - msinttypes r26 h7e1a5f4_2
        - vc 9 h7299396_1
        - vs2008_runtime 9.00.30729.1 hfaea7d5_1
    run:
        - libsodium >=1.0.16,<1.0.17.0a0
        - vc 9.*
test:
    commands:
        - if exist %LIBRARY_LIB%\libzmq-mt-s-4_2_5.lib (exit 0) else (exit 1)
        - if exist %LIBRARY_BIN%\libzmq-mt-4_2_5.dll (exit 0) else (exit 1)
        - if exist %LIBRARY_LIB%\libzmq-mt-4_2_5.lib (exit 0) else (exit 1)
        - if exist %LIBRARY_BIN%\libzmq.dll (exit 0) else (exit 1)
        - if exist %LIBRARY_LIB%\libzmq.lib (exit 0) else (exit 1)
        - if exist %LIBRARY_PREFIX%\cmake\ZeroMQ\ZeroMQConfig.cmake (exit 0) else
            (exit 1)
        - if exist %LIBRARY_PREFIX%\cmake\ZeroMQ\ZeroMQConfigVersion.cmake (exit 0)
            else (exit 1)
about:
    home: http://zeromq.org
    license: LGPL 3
    summary: A high-performance asynchronous messaging library.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - JohanMabille
        - SylvainCorlay
        - jakirkham
        - minrk
